#include <bits/stdc++.h>

#define ll long long
#define ios ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define fi first
#define se second
#define all(x) (x).begin(),(x).end()
#define rall(x) (x).rbegin(),(x).rend()
#define pb push_back
#define mod 1000000007

using namespace std;

int n,k,x,a[1010];

void print(){
    for (int i=1;i<=n;i++)cout<<a[i]<<" ";
    exit(0);
}

int main(){
    cout<<-1;
    return 0;
    cin>>n>>k>>x;
    for (int i=1;i<=n;i++){
        a[i]=(i-1)*x+1;
    }
    int ans=n*(n-1)/2,ind=n;
    while(ans!=k){
        for (int i=ind;i<=n;i++){
            a[i]=a[ind-1]+x-1;
            ans--;
            if (ans==k)break;
        }
        ind--;
    }
    print();
    return 0;
}